0
\$\begingroup\$

I'm having an issue with Textmesh Pro in my project. I originally got it from the Asset store a few months ago. More recently, I deleted it and downloaded it from the Package Manager. However, now in my scripts I'm getting the following error when using TextMeshPro class in my scripts:

The type 'TextMeshPro' in '/Users/unityj/Documents/unity vscode/VSCode/FirstGame/Library/PackageCache/com.unity.textmeshpro@2.0.1/Scripts/Runtime/TextMeshPro.cs' conflicts with the imported type 'TextMeshPro' in 'Unity.TextMeshPro, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null'. Using the type defined in '/Users/unityj/Documents/unity vscode/VSCode/FirstGame/Library/PackageCache/com.unity.textmeshpro@2.0.1/Scripts/Runtime/TextMeshPro.cs'. (CS0436) [Assembly-CSharp]

Tried to uninstall the package via package manager, deleting the package folders, deleting everything that mentions 'TextMesh Pro' and 'TMPro', reimporting all, and reinstalling, but I still get the error. Once TextMesh Pro is uninstalled, the class can't be accessed.

Asset Serialisation mode is set to 'Force Text' and I've set .Net4.x in the Player Settings

Making a new project does not replicate the problem, so I know it's a problem specific to my project, but I don't know where to start. Any suggestions would be appreciated.

\$\endgroup\$
  • \$\begingroup\$ Have you tried deleting your "Library" folder to force Unity to re-import all scripts and assets? \$\endgroup\$ – DMGregory Jun 15 '19 at 22:15
  • \$\begingroup\$ Hi, thanks for the response. I got 'Rebuilding the Library because the asset database could not be found!' in the console, and a new library folder, but the error persists. \$\endgroup\$ – UnityJ Jun 15 '19 at 22:28
0
\$\begingroup\$

I found a similar Stack Overflow question Compiler error after importing TextMesh Pro with the same error message as you. See this answer by Jasil:

Which version of unity are you using. If it 2018.2 or above you don't need to download from asset store its already part of unity. you can check from window > package manager

And see the comment there by Tricko:

I experienced this when I tried to update my project using 2018.3. You just need to delete the TextMesh Pro files from the old version, and I believe you have to do some re-mapping in case you are already using TMP from the old version.


There are also recommended steps for upgrading to the Package Manager version of TextMesh Pro from the Asset Store version. See Is there an upgrade path from Asset Store to package manager for TextMesh Pro? (From what I recall I had a slightly different error message when upgrading but I thought I would link this just in case it helps.)

\$\endgroup\$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.